@rem tar all files needed for building ra

@set FNAME="ra-03"

@set RAFILES=./README-ra.txt 
@set RAFILES=%RAFILES% ./NOTES-ra.txt 
@set RAFILES=%RAFILES% ./tar-ra.bat
@set RAFILES=%RAFILES% ./tools/GETVERSION
@set RAFILES=%RAFILES% ./src/gnuwin32/Makefile
@set RAFILES=%RAFILES% ./src/gnuwin32/Rdll.hide
@set RAFILES=%RAFILES% ./src/gnuwin32/test-jit.bat
@set RAFILES=%RAFILES% ./src/gnuwin32/test-jit.R
@set RAFILES=%RAFILES% ./src/gnuwin32/test-jit.Rout.save
@set RAFILES=%RAFILES% ./src/gnuwin32/time-jit.bat
@set RAFILES=%RAFILES% ./src/gnuwin32/time-jit.R
@set RAFILES=%RAFILES% ./src/gnuwin32/time-jit.Rout.save
@set RAFILES=%RAFILES% ./src/include/Defn.h
@set RAFILES=%RAFILES% ./src/include/Internal.h
@set RAFILES=%RAFILES% ./src/include/jit.h
@set RAFILES=%RAFILES% ./src/include/printsxp.h
@set RAFILES=%RAFILES% ./src/include/Rinternals.h
@set RAFILES=%RAFILES% ./src/library/utils/man/jit.Rd
@set RAFILES=%RAFILES% ./src/library/utils/NAMESPACE
@set RAFILES=%RAFILES% ./src/library/utils/R/jit.R
@set RAFILES=%RAFILES% ./src/main/arithmetic.c
@set RAFILES=%RAFILES% ./src/main/context.c
@set RAFILES=%RAFILES% ./src/main/deparse.c
@set RAFILES=%RAFILES% ./src/main/duplicate.c
@set RAFILES=%RAFILES% ./src/main/envir.c
@set RAFILES=%RAFILES% ./src/main/errors.c
@set RAFILES=%RAFILES% ./src/main/eval.c
@set RAFILES=%RAFILES% ./src/main/jit.c
@set RAFILES=%RAFILES% ./src/main/jitops.c
@set RAFILES=%RAFILES% ./src/main/main.c
@set RAFILES=%RAFILES% ./src/main/Makedeps
@set RAFILES=%RAFILES% ./src/main/Makefile.in
@set RAFILES=%RAFILES% ./src/main/Makefile.win
@set RAFILES=%RAFILES% ./src/main/memory.c
@set RAFILES=%RAFILES% ./src/main/names.c
@set RAFILES=%RAFILES% ./src/main/print.c
@set RAFILES=%RAFILES% ./src/main/printsxp.c
@set RAFILES=%RAFILES% ./src/main/subset.c
@set RAFILES=%RAFILES% ./src/main/util.c
@set RAFILES=%RAFILES% ./src/main/version.c

@rem make sure we are in the ra directory
cd ..\ra\src\gnuwin32
@if errorlevel == 1 goto error 
cd ..\..
@if errorlevel == 1 goto error 

@rem Touch files to make sure they get rebuilt on make.
\Rtools\bin\touch.exe --no-create %RAFILES%

tar -f %fname%.tar --create %RAFILES%
@if errorlevel == 1 goto error 

gzip %fname%.tar
@if errorlevel == 1 goto error 

mv %fname%.tar.gz /a/homepage/ra/tar
@if errorlevel == 1 goto error 

@goto done
:error
@echo ==== ERROR ====
:done
